For the complete documentation index, see llms.txt. This page is also available as Markdown.

Work Templates

List work templates

OAuth: This endpoint requires the default public scope.

List Work Templates

get
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Query parameters
pageintegerOptional

Search results are limited to 100 items. Specify page number to read more than the first page.

Responses
200

Lists Work Templates

application/json
total_pagesintegerOptional
countintegerOptional
pageintegerOptional
per_pageintegerOptional
previous_pageinteger · nullableOptional
next_pageinteger · nullableOptional
get/v1/clients/work_templates
GET /v1/clients/work_templates HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "work_templates": [
    {
      "name": "1_title_1_paragraph",
      "description": null,
      "image_preview_path": null,
      "ctype": "public"
    },
    {
      "name": "2_paragraphs",
      "description": null,
      "image_preview_path": null,
      "ctype": "public"
    }
  ],
  "total_pages": 1,
  "count": 1,
  "page": 1,
  "per_page": 20,
  "previous_page": null,
  "next_page": null
}

Code samples

Get a work template

OAuth: This endpoint requires the default public scope.

Retrieve a Work Templates

get
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
work_template_namestringRequired

The Work Template name

Responses
200

Gets a Work Templates

application/json
namestringRequired
descriptionstring · nullableOptional
image_preview_pathstring · nullableOptional
ctypestring · enumRequiredPossible values:
get/v1/clients/work_templates/{work_template_name}
GET /v1/clients/work_templates/{work_template_name} HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "name": "1_title_1_paragraph",
  "description": null,
  "image_preview_path": null,
  "ctype": "public"
}

Code samples

Last updated

Was this helpful?